com.amazonaws.services.codedeploy.model

## Class ListDeploymentConfigsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.ListDeploymentConfigsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListDeploymentConfigsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a list deployment configurations operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListDeploymentConfigsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListDeploymentConfigsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` An identifier returned from the previous list deployment configurations call.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` An identifier returned from the previous list deployment configurations call.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListDeploymentConfigsRequest` `withNextToken(String nextToken)` An identifier returned from the previous list deployment configurations call.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListDeploymentConfigsRequest

    public ListDeploymentConfigsRequest()

### Method Detail

#### setNextToken

    public void setNextToken(String nextToken)

An identifier returned from the previous list deployment configurations call. It can be used to return the next set of deployment configurations in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list deployment configurations call. It can be used to return the next set of deployment configurations in the list.

#### getNextToken

    public String getNextToken()

An identifier returned from the previous list deployment configurations call. It can be used to return the next set of deployment configurations in the list.

Returns:
  An identifier returned from the previous list deployment configurations call. It can be used to return the next set of deployment configurations in the list.

#### withNextToken

    public ListDeploymentConfigsRequest withNextToken(String nextToken)

An identifier returned from the previous list deployment configurations call. It can be used to return the next set of deployment configurations in the list.

Parameters:
  `nextToken` - An identifier returned from the previous list deployment configurations call. It can be used to return the next set of deployment configurations in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListDeploymentConfigsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`